System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

Use the property to programmatically configure the type of authentication used by a Web application,

Specifies the authentication mode to use in a Web application.

- Field
  System.Web.Configuration.AuthenticationMode To be added

  Specifies ASP.NET Forms-based authentication as the authentication mode.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Configuration.AuthenticationMode To be added

  Specifies no authentication.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Configuration.AuthenticationMode To be added

  Specifies Microsoft Passport as the authentication mode.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Configuration.AuthenticationMode To be added

  Specifies Windows as the authentication mode. This mode applies when using the Internet Information Services (IIS) authentication methods Basic, Digest, Integrated Windows (NTLM/Kerberos), or certificates.

  1.0.5000.0
  2.0.0.0